org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class BulkheadMethodSemaphoreDefaultBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadMethodSemaphoreDefaultBean

    @ApplicationScoped
    public class BulkheadMethodSemaphoreDefaultBean
    extends Object

A simple method level Semaphore @Bulkhead

Author:
  Gordon Hutchison, Andrew Rouse

### Constructor Summary

Constructors
Constructor and Description
`BulkheadMethodSemaphoreDefaultBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadMethodSemaphoreDefaultBean

    public BulkheadMethodSemaphoreDefaultBean()

### Method Detail

#### test

    @Bulkhead
    public void test(Barrier barrier)